# Class InclusionLoopException

Object
Throwable
Exception
nu.xom.xinclude.XIncludeException
nu.xom.xinclude.InclusionLoopException

All Implemented Interfaces:
  `Serializable`

public class InclusionLoopException extends XIncludeException

Indicates that an included document attempts to include itself or one of its ancestor documents, directly or indirectly.

Version:
  1.1b3
Author:
  Elliotte Rusty Harold
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`InclusionLoopException(String message)`
Constructs an `InclusionLoopException` with the specified detail message.
`InclusionLoopException(String message, String uri)`
Creates a new `InclusionLoopException` with a detail message, line and column numbers, and a URI of the document that caused the exception.

## Method Summary

### Methods inherited from class XIncludeException

`getCause, getURI, initCause`

### Methods inherited from class Throwable

`addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### InclusionLoopException

public InclusionLoopException(String message)

Constructs an `InclusionLoopException` with the specified detail message.

Parameters:
  `message` - a string indicating the specific problem

### InclusionLoopException

public InclusionLoopException(String message, String uri)

Creates a new `InclusionLoopException` with a detail message, line and column numbers, and a URI of the document that caused the exception.

Parameters:
  `message` - a string indicating the specific problem
  `uri` - the URI of the document that caused this exception